Subject: Re: limiting git branch --contains

From: Oswald Buddenhagen <[email-masked]>
Date: Sat, 25 Mar 2023 09:05:48 +0100

On Sat, Mar 25, 2023 at 02:30:35AM -0400, Jeff King wrote:
> Nobody has yet; you could be that someone. ;)
>
damn ;)

>I do think there might be some complications, though. I think we may
>build commit graphs by default these days during "gc" and even
>incrementally after "fetch". If we warned when the graphs are disabled,
>it basically means that every command in a repo with replace refs would
>issue the warning.
>
yeah, i thought about that, too ...

it would be easy enough to squelch the warning by manually disabling 
writing or using the graph. the downside is that if the root cause gets 
fixed, the user would be still missing out (unless they read the 
changelog and remembered to reconfigure all affected repos).

one could make it an advisory message which can be explictly squelched.